## Layout

### Keymap 0: Basic layer
```
,--------------------------------------------------.           ,--------------------------------------------------.
|   `    |   1  |   2  |   3  |   4  |   5  |  =   |           |  L1  |   6  |   7  |   8  |   9  |   0  |   -    |
|--------+------+------+------+------+-------------|           |------+------+------+------+------+------+--------|
| TAB    |   Q  |   W  |   E  |   R  |   T  |  L2  |           |  L2  |   Y  |   U  |   I  |   O  |   P  |   \    |
|--------+------+------+------+------+------|      |           |      |------+------+------+------+------+--------|
| Esc    |   A  |   S  |   D  |LT 3,F|   G  |------|           |------|   H  |   J  |   K  |   L  |; / : |   '    |
|--------+------+------+------+------+------|  L1  |           |TT(3) |------+------+------+------+------+--------|
| LShift |Z/Ctrl|   X  |   C  |   V  |   B  |      |           |      |   N  |   M  |   ,  |   .  |//Ctrl| RShift |
`--------+------+------+------+------+-------------'           `-------------+------+------+------+------+--------'
  |LCTRL |  F4  |  F5  | LGUI | LALT |                                       | Left | Down |  Up  | Right| RGUI |
  `----------------------------------'                                       `----------------------------------'
                                       ,-------------.       ,-------------.
                                       | Home | End  |       | Alt  |Ctrl/Esc|
                                ,------|------|------|       |------+--------+------.
                                |      |      | PgUp |       | PgDn |        |      |
                                | Bcksp|OSL(2)|------|       |------|  Ent   |Space |
                                |      |      | Del  |       |OSL(2)|        |      |
                                `--------------------'       `----------------------'
```
* Double-click `;` to get a `:`
* Press-and-hold `f` to go to the movement layer

### Keymap 1: Code Layer
```
,--------------------------------------------------.           ,--------------------------------------------------.
|        |      |      |      |      |      |      |           |      |      |      |      |      |      |        |
|--------+------+------+------+------+-------------|           |------+------+------+------+------+------+--------|
|        |      |      |      |      |      |  F10 |           |  F11 |      |      |      |      |      |        |
|--------+------+------+------+------+------|      |           |      |------+------+------+------+------+--------|
|        |      |      |      |      |      |------|           |------|      |      |      |      |      |        |
|--------+------+------+------+------+------|      |           |      |------+------+------+------+------+--------|
|        |      |      |      |      |      |      |           |      |      |      |      |      |      |        |
`--------+------+------+------+------+-------------'           `-------------+------+------+------+------+--------'
  |      |      |      |      |      |                                       |      |      |      |      |      |
  `----------------------------------'                                       `----------------------------------'
                                       ,-------------.       ,---------------.
                                       |Format|      |       | Test | DTest  |
                                ,------|------|------|       |------+--------+------.
                                |      |      |Refact|       |      |        |      |
                                |      |      |------|       |------|        |      |
                                |      |      |      |       |      |        |      |
                                `--------------------'       `----------------------'
```
* Format - Visual Studio Format. Sends `CTRL + K, CTRL + D`
* Refact - Visual Studio Refactor. Sends `CTRL + R, R`
* Test   - Visual Studio Run Test. Sends `CTRL + R, T`
* DTest  - Visual Studio Debug Test. Sends `CTRL + R, CTRL + T`

### Keymap 2: Symbol Layer
```
,---------------------------------------------------.           ,--------------------------------------------------.
|Version  |  F1  |  F2  |  F3  |  F4  |  F5  |      |           |      |  F6  |  F7  |  F8  |  F9  |  F10 |   F11  |
|---------+------+------+------+------+------+------|           |------+------+------+------+------+------+--------|
|         |   !  |   @  |   (  |   )  |   |  |      |           |      |   Up |   7  |   8  |   9  |   *  |   F12  |
|---------+------+------+------+------+------|      |           |      |------+------+------+------+------+--------|
|         |   #  |   $  |   {  |   }  |   `  |------|           |------| Down |   4  |   5  |   6  |   +  |        |
|---------+------+------+------+------+------|      |           |      |------+------+------+------+------+--------|
|         |   %  |   ^  |   [  |   ]  |   ~  |      |           |      |   &  |   1  |   2  |   3  |   \  |        |
`---------+------+------+------+------+-------------'           `-------------+------+------+------+------+--------'
  | EPRM  |      |      |      |      |                                       |   0  |   0  |   .  |   =  |      |
  `-----------------------------------'                                       `----------------------------------'
                                       ,-------------.       ,-------------.
                                       |      | Caps |       |      |      |
                                ,------|------|------|       |------+------+------.
                                |      |      |APscr |       |      |      |      |
                                |      |      |------|       |------|      |      |
                                |      |      | PScr |       |      |      |      |
                                `--------------------'       `--------------------'
```
* APscr - Take a printscreen of the current app. Sends `Alt + Print Screen`

### Keymap 3: Media and Mouse Keys
```
,--------------------------------------------------.           ,--------------------------------------------------.
|        |      |      |      |      |      |      |           |      |      |      |      |      |      |        |
|--------+------+------+------+------+-------------|           |------+------+------+------+------+------+--------|
|        |      |      | MsUp |      |      |      |           |      |      |      |      |      |      |        |
|--------+------+------+------+------+------|      |           |      |------+------+------+------+------+--------|
|        |      |MsLeft|MsDown|MsRght|      |------|           |------|      |      |      |      |      |        |
|--------+------+------+------+------+------|      |           |      |------+------+------+------+------+--------|
|        |      |      |      |      |      |      |           |      |      |      |      |      |      |        |
`--------+------+------+------+------+-------------'           `-------------+------+------+------+------+--------'
  |      |      |      | Lclk | Rclk |                                       |      |      |      |      |      |
  `----------------------------------'                                       `----------------------------------'
                                       ,-------------.       ,-------------.
                                       |      |      |       | Vol+ |      |
                                ,------|------|------|       |------+------+------.
                                |      |      |      |       | Vol- |      |      |
                                |      |      |------|       |------| PL/PS| Next |
                                |      |      |      |       | Back |      |      |
                                `--------------------'       `--------------------'
```

### Keymap 4: Movement
```
,--------------------------------------------------.           ,--------------------------------------------------.
|        |      |      |      |      |      |      |           |      |      |      |      |      |      |        |
|--------+------+------+------+------+-------------|           |------+------+------+------+------+------+--------|
|        |      |      |      |      |      |      |           |      |      |      |      |      |      |        |
|--------+------+------+------+------+------|      |           |      |------+------+------+------+------+--------|
|        |DLeft |DRight|LShift|      |      |------|           |------| Left | Down |  Up  | Right|      |        |
|--------+------+------+------+------+------|      |           |      |------+------+------+------+------+--------|
|        |KOpen |KType |      |      |      |      |           |      |      |      |      |      |      |        |
`--------+------+------+------+------+-------------'           `-------------+------+------+------+------+--------'
  |      |      |      |      |      |                                       |      |      |      |      |      |
  `----------------------------------'                                       `----------------------------------'
                                       ,-------------.       ,-------------.
                                       |      |      |       |      |      |
                                ,------|------|------|       |------+------+------.
                                |      |      |      |       |      |      |      |
                                |      | CTRL |------|       |------|      |      |
                                |      |      |      |       |      |      |      |
                                `--------------------'       `--------------------'
```
* DLeft - Move to the left Desktop. Sends `Ctrl + Win + Left Arrow`
* DRight - Move to the right Desktop. Sends `Ctrl + Win + Right Arrow`
* KOpen - Opens KeePass. Sends `Ctrl + Alt + k`
* KType - Autotypes KeePass password. Sends `Ctrl + Alt + a`
